Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with mouse-over

From: Robert Pluim <[email-masked]>
Date: Wed, 22 Jan 2020 17:05:00 +0100

>>>>> On Wed, 22 Jan 2020 16:45:47 +0100, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >>>>>>> On Wed, 22 Jan 2020 16:29:22 +0100, Lars Ingebrigtsen
    >> <[email-masked]> said:
    >> 
    Lars> Robert Pluim <[email-masked]> writes:
    >> >> Add a 'display text property of some kind of arrow/pointer to the end
    >> >> of each link to achieve visual separation?
    >> 
    Lars> That sounds annoying if you're copying/yanking the text, doesn't it?
    >> 
    >> I thought 'display properties were just displayed, and donʼt
    >> participate in copying/yanking? Am I misinformed?

    Lars> I thought you meant that we should put a space char after the link and
    Lars> put a display property on that -- because the display property has to be
    Lars> on something.

    Lars> If the display property is on the entire text, then that would be
    Lars> awkward, too, and wouldn't help with the issue, I think?  Mousing over
    Lars> the region would still highlight both links?

Hmm yes, it looks like it (I was thinking of just putting it on the
last character of the link, but I think the effect is the same).

Robert